Package org.eclipse.rdf4j.sail.helpers

## Class AbstractNotifyingSailConnection

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSailConnection
  - - org.eclipse.rdf4j.sail.helpers.AbstractNotifyingSailConnection

- All Implemented Interfaces:
    `AutoCloseable`, `NotifyingSailConnection`, `SailConnection`
  Direct Known Subclasses:
    `NotifyingSailConnectionBase`, `SailSourceConnection`

      public abstract class AbstractNotifyingSailConnection
      extends AbstractSailConnection
      implements NotifyingSailConnection

  Abstract Class offering base functionality for SailConnection implementations.
  Author:
    Arjohn Kampman, Jeen Broekstra

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `connectionLock, updateLock`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNotifyingSailConnection​(AbstractSail sailBase)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addConnectionListener​(SailConnectionListener listener)` | Registers a SailConnection listener with this SailConnection.
    `protected boolean` | `hasConnectionListeners()` |
    `protected void` | `notifyStatementAdded​(Statement st)` |
    `protected void` | `notifyStatementRemoved​(Statement st)` |
    `void` | `removeConnectionListener​(SailConnectionListener listener)` | Deregisters a SailConnection listener with this SailConnection.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `addStatement, addStatement, addStatementInternal, autoStartTransaction, begin, begin, clear, clearInternal, clearNamespaces, clearNamespacesInternal, close, closeInternal, commit, commitInternal, endUpdate, endUpdateInternal, evaluate, evaluateInternal, flush, getContextIDs, getContextIDsInternal, getExclusiveConnectionLock, getNamespace, getNamespaceInternal, getNamespaces, getNamespacesInternal, getSharedConnectionLock, getStatements, getStatementsInternal, getTransactionIsolation, getTransactionLock, isActive, isActiveOperation, isOpen, iterationClosed, pendingAdds, pendingRemovals, prepare, prepareInternal, registerIteration, removeNamespace, removeNamespaceInternal, removeStatement, removeStatements, removeStatementsInternal, rollback, rollbackInternal, setNamespace, setNamespaceInternal, size, sizeInternal, startTransactionInternal, startUpdate, transactionActive, verifyIsActive, verifyIsOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, explain, flush, getContextIDs, getNamespace, getNamespaces, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, rollback, setNamespace, setTransactionSettings, size, startUpdate`

- - ### Constructor Detail

    - #### AbstractNotifyingSailConnection

          public AbstractNotifyingSailConnection​(AbstractSail sailBase)

  - ### Method Detail

    - #### addConnectionListener

          public void addConnectionListener​(SailConnectionListener listener)

      Description copied from interface: `NotifyingSailConnection`
      Registers a SailConnection listener with this SailConnection. The listener should be notified of any statements that are added or removed as part of this SailConnection.
      Specified by:
        `addConnectionListener` in interface `NotifyingSailConnection`
      Parameters:
        `listener` - A SailConnectionListener.

    - #### removeConnectionListener

          public void removeConnectionListener​(SailConnectionListener listener)

      Description copied from interface: `NotifyingSailConnection`
      Deregisters a SailConnection listener with this SailConnection.
      Specified by:
        `removeConnectionListener` in interface `NotifyingSailConnection`
      Parameters:
        `listener` - A SailConnectionListener.

    - #### hasConnectionListeners

          protected boolean hasConnectionListeners()

    - #### notifyStatementAdded

          protected void notifyStatementAdded​(Statement st)

    - #### notifyStatementRemoved

          protected void notifyStatementRemoved​(Statement st)